import os
import pyglet
from pyglet.gl import *
#import cocos
from cocos.director import director
import menu_scene
from constants import *

def main():
    pyglet.resource.path.append('data')
    pyglet.resource.path.append(os.path.join(os.getcwd(), 'data'))
    pyglet.resource.reindex()
    pyglet.font.add_directory('data')
    pyglet.font.add_directory(os.path.join(os.getcwd(), 'data'))
    pyglet.font.add_file(os.path.join(os.getcwd(), 'data', 'alien5.ttf'))

    director.init(width=WIDTH, height=HEIGHT)
    director.set_depth_test(True)

    s = menu_scene.get_menu_scene()
    director.run(s)

if __name__ == "__main__":
    main()
